/*
 ============================================================================
 Name		: DialogExamApplication.h
 Author	  : Hou maoqing
 Copyright   : Copyright (c) Hou maoqing 2008
 Description : Declares main application class.
 ============================================================================
 */

#ifndef __DIALOGEXAMAPPLICATION_H__
#define __DIALOGEXAMAPPLICATION_H__

// INCLUDES
#include <aknapp.h>
#include "DialogExam.hrh"

// UID for the application;
// this should correspond to the uid defined in the mmp file
const TUid KUidDialogExamApp =
	{
	_UID3
	};

// CLASS DECLARATION

/**
 * CDialogExamApplication application class.
 * Provides factory to create concrete document object.
 * An instance of CDialogExamApplication is the application part of the
 * AVKON application framework for the DialogExam example application.
 */
class CDialogExamApplication : public CAknApplication
	{
public:
	// Functions from base classes

	/**
	 * From CApaApplication, AppDllUid.
	 * @return Application's UID (KUidDialogExamApp).
	 */
	TUid AppDllUid() const;

protected:
	// Functions from base classes

	/**
	 * From CApaApplication, CreateDocumentL.
	 * Creates CDialogExamDocument document object. The returned
	 * pointer in not owned by the CDialogExamApplication object.
	 * @return A pointer to the created document object.
	 */
	CApaDocument* CreateDocumentL();
	};

#endif // __DIALOGEXAMAPPLICATION_H__
// End of File
